<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Wed Sep 10 14:57:28 CEST 2014 -->
<title>SocketChannelIOHelper</title>
<meta name="date" content="2014-09-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SocketChannelIOHelper";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SocketChannelIOHelper.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/java_websocket/AbstractWrappedByteChannel.html" title="class in org.java_websocket"><span class="strong">Prev Class</span></a></li>
<li><a href="../../org/java_websocket/SSLSocketChannel2.html" title="class in org.java_websocket"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/SocketChannelIOHelper.html" target="_top">Frames</a></li>
<li><a href="SocketChannelIOHelper.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket</div>
<h2 title="Class SocketChannelIOHelper" class="title">Class SocketChannelIOHelper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.java_websocket.SocketChannelIOHelper</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">SocketChannelIOHelper</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../org/java_websocket/SocketChannelIOHelper.html#SocketChannelIOHelper()">SocketChannelIOHelper</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/SocketChannelIOHelper.html#batch(org.java_websocket.WebSocketImpl,%20java.nio.channels.ByteChannel)">batch</a></strong>(<a href="../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a>&nbsp;ws,
     java.nio.channels.ByteChannel&nbsp;sockchannel)</code>
<div class="block">Returns whether the whole outQueue has been flushed</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/SocketChannelIOHelper.html#read(java.nio.ByteBuffer,%20org.java_websocket.WebSocketImpl,%20java.nio.channels.ByteChannel)">read</a></strong>(java.nio.ByteBuffer&nbsp;buf,
    <a href="../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a>&nbsp;ws,
    java.nio.channels.ByteChannel&nbsp;channel)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/SocketChannelIOHelper.html#readMore(java.nio.ByteBuffer,%20org.java_websocket.WebSocketImpl,%20org.java_websocket.WrappedByteChannel)">readMore</a></strong>(java.nio.ByteBuffer&nbsp;buf,
        <a href="../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a>&nbsp;ws,
        <a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a>&nbsp;channel)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SocketChannelIOHelper()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SocketChannelIOHelper</h4>
<pre>public&nbsp;SocketChannelIOHelper()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="read(java.nio.ByteBuffer, org.java_websocket.WebSocketImpl, java.nio.channels.ByteChannel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>public static&nbsp;boolean&nbsp;read(java.nio.ByteBuffer&nbsp;buf,
           <a href="../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a>&nbsp;ws,
           java.nio.channels.ByteChannel&nbsp;channel)
                    throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="readMore(java.nio.ByteBuffer, org.java_websocket.WebSocketImpl, org.java_websocket.WrappedByteChannel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readMore</h4>
<pre>public static&nbsp;boolean&nbsp;readMore(java.nio.ByteBuffer&nbsp;buf,
               <a href="../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a>&nbsp;ws,
               <a href="../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a>&nbsp;channel)
                        throws java.io.IOException</pre>
<dl><dt><span class="strong">Returns:</span></dt><dd>returns whether there is more data left which can be obtained via <a href="../../org/java_websocket/SocketChannelIOHelper.html#readMore(java.nio.ByteBuffer,%20org.java_websocket.WebSocketImpl,%20org.java_websocket.WrappedByteChannel)"><code>readMore(ByteBuffer, WebSocketImpl, WrappedByteChannel)</code></a></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../org/java_websocket/WrappedByteChannel.html#readMore(java.nio.ByteBuffer)"><code>WrappedByteChannel.readMore(ByteBuffer)</code></a></dd></dl>
</li>
</ul>
<a name="batch(org.java_websocket.WebSocketImpl, java.nio.channels.ByteChannel)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>batch</h4>
<pre>public static&nbsp;boolean&nbsp;batch(<a href="../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a>&nbsp;ws,
            java.nio.channels.ByteChannel&nbsp;sockchannel)
                     throws java.io.IOException</pre>
<div class="block">Returns whether the whole outQueue has been flushed</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SocketChannelIOHelper.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/java_websocket/AbstractWrappedByteChannel.html" title="class in org.java_websocket"><span class="strong">Prev Class</span></a></li>
<li><a href="../../org/java_websocket/SSLSocketChannel2.html" title="class in org.java_websocket"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/SocketChannelIOHelper.html" target="_top">Frames</a></li>
<li><a href="SocketChannelIOHelper.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
